<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>Index</title>

  <script src="qaws.js"></script>

  <style>
    body {
      background-color: #fff;
      font-family: sans-serif;
    }
    h1 {
      font-weight: normal;
      font-size: 300%;
    }

  input[type=button] {
    background-color: #A01010; /* Red */
    border: none;
    border-radius: 8px;
    color: white;
    padding: 14px 24px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 24px;
    margin:10px 10px 10px 10px;
  }

  </style>
</head>
<body>

    <!-- status -->
    <div align='right' id='status'> <font color='red'>NOT CONNECTED</font> </div>

    <!-- image -->
    <p>
    <div align='center'> <img height=300 id='image_default' src="img/welcome.jpg" alt="No image"/> </div>
    </p>

    <!-- text -->

    <p>
    <h1>
    <div align='center' id='text_default'>Welcome</div>
    </h1>
    </p>

    <!-- buttons -->
  
    <p>
      <div align='center' id='buttons'>
        <!-- input type="button" id="hello" value="Hello" onclick="hello()" -->
      </div>
    </p>

  <!-- ****** SCRIPTS ****** -->

  <script>

    var ip=window.location.hostname;
    if (ip=='')
        ip='127.0.0.1';
    var port = 9100;

    console.log("Trying connection...")
    wsrobot_init(ip,port);

    function hello() {
        console.log("runnig interaction...");
        codews.send("im.robot.say('hello')\n");
    }

  </script>

</body>
</html>

